Page MenuHomePhabricator

Remove POSIX thread/process abstraction
ClosedPublic

Authored by emaste on Jun 24 2015, 10:51 AM.

Details

Summary

As of r240543 ProcessPOSIX and POSIXThread are used only on FreeBSD, so just roll them into ProcessFreeBSD and FreeBSDThread.

This is a mostly mechanical change; there's an opportunity for further cleanup / refinement here still. I'm posting this now for initial review and testing on non-x86 platforms.

Diff Detail

Repository
rL LLVM

Event Timeline

emaste updated this revision to Diff 28367.Jun 24 2015, 10:51 AM
emaste retitled this revision from to Remove POSIX thread/process abstraction.
emaste updated this object.
emaste edited the test plan for this revision. (Show Details)
emaste added reviewers: labath, chmeee.
emaste added a subscriber: Unknown Object (MLST).
emaste added inline comments.Jun 24 2015, 10:53 AM
source/Plugins/Process/FreeBSD/ProcessFreeBSD.cpp
482–508 ↗(On Diff #28367)

This will be deleted

605–608 ↗(On Diff #28367)

this will be deleted

labath accepted this revision.Jun 25 2015, 1:21 AM
labath edited edge metadata.

I can't help you with the testing, but the general idea looks ok to me.

This revision is now accepted and ready to land.Jun 25 2015, 1:21 AM
chmeee accepted this revision.Jul 2 2015, 11:32 PM
chmeee edited edge metadata.

LGTM

This revision was automatically updated to reflect the committed changes.